> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of properties excluding Hotelbeds



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json get /accommodationapi/v1/properties
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /accommodationapi/v1/properties:
    get:
      tags:
        - accommodation-controller
      summary: Get list of properties excluding Hotelbeds
      operationId: listPropertiesUsingGET
      parameters:
        - name: keyword
          in: query
          description: keyword
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: page
          required: false
          schema:
            type: integer
            format: int32
        - name: size
          in: query
          description: size
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_Page_PropertiesRS_'
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    ResponseData_Page_PropertiesRS_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Page_PropertiesRS_'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«Page«PropertiesRS»»
    Page_PropertiesRS_:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/PropertiesRS'
        empty:
          type: boolean
        first:
          type: boolean
        last:
          type: boolean
        number:
          type: integer
          format: int32
        numberOfElements:
          type: integer
          format: int32
        pageable:
          $ref: '#/components/schemas/Pageable'
        size:
          type: integer
          format: int32
        sort:
          $ref: '#/components/schemas/Sort'
        totalElements:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int32
      title: Page«PropertiesRS»
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation
    PropertiesRS:
      type: object
      properties:
        apiName:
          type: string
        code:
          type: string
        name:
          type: string
      title: PropertiesRS
    Pageable:
      type: object
      properties:
        offset:
          type: integer
          format: int64
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        paged:
          type: boolean
        sort:
          $ref: '#/components/schemas/Sort'
        unpaged:
          type: boolean
      title: Pageable
    Sort:
      type: object
      properties:
        empty:
          type: boolean
        sorted:
          type: boolean
        unsorted:
          type: boolean
      title: Sort

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.